summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorBenjamin Dauvergne <bdauvergne@entrouvert.com>2010-06-12 00:43:31 +0000
committerBenjamin Dauvergne <bdauvergne@entrouvert.com>2010-06-12 00:43:31 +0000
commitb773217b54bcb8cdc9d9ee811d36518a02c9bfa6 (patch)
tree31ef56bc57d778aaaf35fdee90648d397ac8fb92 /tools
parent477e6896a975bc059dc30544d9ec03daa48a872a (diff)
downloadlasso-b773217b54bcb8cdc9d9ee811d36518a02c9bfa6.tar.gz
lasso-b773217b54bcb8cdc9d9ee811d36518a02c9bfa6.tar.xz
lasso-b773217b54bcb8cdc9d9ee811d36518a02c9bfa6.zip
Tools: add check-makefile.sh script to tools
Diffstat (limited to 'tools')
-rwxr-xr-xtools/check-makefile.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/check-makefile.sh b/tools/check-makefile.sh
new file mode 100755
index 00000000..84725a23
--- /dev/null
+++ b/tools/check-makefile.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+echo Check makefiles for missing .c or .h files
+
+cd `dirname $0`/..
+
+for i in `git ls-files *.c *.h`; do
+ pushd `dirname $i` >/dev/null
+ f=`basename $i`
+ if ! grep -q $f Makefile.am; then
+ echo $i
+ fi
+ popd >/dev/null
+done